package com.inspect.base.core.enums;

/**
 * 设备类型
 */
public enum DevTypeEnum {

    // 机器人
    ROBOT("0", "机器人"),
    // 室外轮式机器人
    ROBOT_OUT("1", "室外轮式机器人"),
    // 室内轮式机器人
    ROBOT_IN("2", "室内轮式机器人"),
    // 挂轨机器人
    ROBOT_HANG("3", "挂轨机器人"),
    // 高清视频
    VIDEO("10", "高清视频"),
    // 硬盘录像机
    DVR("11", "硬盘录像机"),
    // 智能分析主机
    ANALYZE_HOST("12", "智能分析主机"),
    // 无人机
    DRONE("13", "无人机"),
    // 声纹
    VOICE("14", "声纹"),
    // 巡视主机
    HOST("20", "巡视主机");


    private final String code;
    private final String info;

    DevTypeEnum(String code, String info) {
        this.code = code;
        this.info = info;
    }

    public String getCode() {
        return this.code;
    }

    public String getInfo() {
        return this.info;
    }
}
